package uk.ac.cf.spring.demo.takeaway.index;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.servlet.ModelAndView;

import java.util.List;

@Controller
public class IndexController {
    @GetMapping("/index")
    public ModelAndView getIndex() {
        ModelAndView modelAndView = new ModelAndView("/page/index");
        return modelAndView;
    }
    @GetMapping("/groupList")
    public ModelAndView getGroupList() {
        ModelAndView modelAndView = new ModelAndView("/page/groupList");
        return modelAndView;
    }
    @GetMapping("/itemForm")
    public ModelAndView getitemForm() {
        ModelAndView modelAndView = new ModelAndView("/page/itemForm");
        return modelAndView;
    }
//    @GetMapping("/itemList")
//    public ModelAndView getitemList() {
//        ModelAndView modelAndView = new ModelAndView("/page/itemList");
//        return modelAndView;
//    }
    @GetMapping("/itemList")
    public ModelAndView getitemList() {
        ModelAndView modelAndView = new ModelAndView("/page/itemList");

        // Retrieve existing exchange items and add to the model
        List<ExchangeItem> exchangeItems = ExchangeService.getInstance().getExchangeItems();
        modelAndView.addObject("exchangeItems", exchangeItems);

        return modelAndView;
    }
    @GetMapping("/personalInformation")
    public ModelAndView personalInformation() {
        ModelAndView modelAndView = new ModelAndView("/page/personalInformation");
        return modelAndView;
    }
}
